Bug 10639 - ppp (or ppp-watch) not honoring maxfail
ppp (or ppp-watch) not honoring maxfail
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-07 12:34 EDT by Scott Sharkey
Modified: 2014-03-16 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 01:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix ppp-watch to honor a MAXFAIL variable controlling dialing (1008 bytes, patch)
2000-04-20 19:13 EDT, Scott Sharkey
no flags Details | Diff

  None (edit)
Description Scott Sharkey 2000-04-07 12:34:03 EDT
It appears that ppp no longer honors the maxfail option to limit the number
of times to redial the modem if the line does not connect.  This may be in
ppp-watch -- I've just started looking at it's code.

The problem my customer is having is that they are trying to dial a number
of machines located around the state (NOT ISP's) and sometimes one of them
is down.  ppp just keeps dialing that one, generating hundreds of phone
calls.

A second problem is that the line sometimes fails to disconnect, even if
ifdown is called.  I will attempt to fix that with a "maxconnect" option.
Comment 1 Scott Sharkey 2000-04-20 19:13:59 EDT
Created attachment 208 [details]
Fix ppp-watch to honor a MAXFAIL variable controlling dialing
Comment 2 Scott Sharkey 2000-04-20 19:16:59 EDT
I have generated a patch, which will look in ifcfg-pppx for a MAXFAIL setting
that will stop the redialing after a certain number of tries.  It's in the
attachement.  I found that setting the idle and/or maxconnect options will
force the line to drop after x idle seconds, or y seconds connected.
Comment 3 Nalin Dahyabhai 2000-05-02 16:26:59 EDT
The ppp-watch program is part of the initscripts package, so I'm changing the
component to initscripts.
Comment 4 Bill Nottingham 2000-12-12 02:34:14 EST
Will be added in initscripts-5.53-1.
Comment 5 Alex Kanavin 2001-05-06 16:29:14 EDT
This patch introduces a serious bug into ppp-watch, please see bug #39231 for a
fix.

Note You need to log in before you can comment on or make changes to this bug.